<template>
  <div class="layout">
    <div class="layout__side">
      <Side />
    </div>
    <div class="layout__header">
      <Header />
    </div>
    <div class="layout__content">
      <div class="layout__breadcrumbs">
        <Breadcrumbs />
      </div>
      <nuxt />
    </div>
  </div>
</template>

<script>
import Side from '../components/Side';
import Header from '../components/Header';
import Breadcrumbs from '../components/Breadcrumbs';

export default {
  name: 'DefaultLayout',
  components: { Breadcrumbs, Header, Side },
};
</script>

<style lang="scss">
  @import "../assets/drop";
  @import "../assets/root";

  .layout {
    display: grid;
    grid-template-areas:
      'side header'
      'side content';
    grid-template-columns: 175px 1fr;
    grid-template-rows: auto 1fr;

    height: 100vh;

    &__side {
      grid-area: side;

      .side {
        height: 100%;
      }
    }

    &__header {
      grid-area: header;
      padding: 30px 60px 0;
    }

    &__content {
      grid-area: content;
      padding: 30px 60px;
    }

    &__breadcrumbs {
      margin-bottom: 20px;
    }
  }
</style>
